LibreOffice: MultiStratumBackend Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Included Services | Exported Interfaces | List of all members
MultiStratumBackend Service Reference

implements Backend provides access to a configuration database composed of one or more storage backends containing settings used by software modules. More...

`import"MultiStratumBackend.idl";`

Inheritance diagram for MultiStratumBackend:

## Included Services
service | Backend
| characterizes the functionality. More...

## Exported Interfaces
interface | com::sun::star::lang::XInitialization
| allows initialization of backend data sources More...
Exported Interfaces inherited from Backend
interface | XSchemaSupplier
| provides access to configuration schemas. More...
interface | XBackend
| provides access to the layer data. More...
interface | XBackendEntities
| provides information about supported and special entities. More...

## Additional Inherited Members
Public Member Functions inherited from XSchemaSupplier
XSchema | getComponentSchema ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| Returns the schema information (component + templates) for a particular component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XBackend
sequence< XLayer > | listOwnLayers ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to the owner entity for a component. More...
XUpdateHandler | getOwnUpdateHandler ([in] string aComponent) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler for the owner entity layer for a component. More...
sequence< XLayer > | listLayers ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| retrieves the layers associated to an entity for a component. More...
XUpdateHandler | getUpdateHandler ([in] string aComponent, [in] string aEntity) raises (BackendAccessException, com::sun::star::lang::NoSupportException, com::sun::star::lang::IllegalArgumentException)
| creates an update handler on an entity's layer for a component. More...
Protected Member Functions inherited from XBackendEntities
string | getOwnerEntity ()
| provides the entity id of the owner entity of the backend. More...
string | getAdminEntity ()
| provides the entity id of an entity for general administrative access. More...
boolean | supportsEntity ([in] string aEntity) raises ( BackendAccessException )
| determines, if a given entity id exists in this backend. More...
boolean | isEqualEntity ([in] string aEntity, [in] string aOtherEntity) raises ( BackendAccessException, com::sun::star::lang::IllegalArgumentException)
| determines, if two given entity ids denote the same entity. More...
Protected Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...

## Detailed Description

implements Backend provides access to a configuration database composed of one or more storage backends containing settings used by software modules.

## Exported Interfaces

## § Backend

service Backend

characterizes the functionality.

## Exported Interfaces

## § com::sun::star::lang::XInitialization

interface com::sun::star::lang::XInitialization
| optional

allows initialization of backend data sources

If present a type com::sun::star::configuration::bootstrap::BootstrapContext must be passed, that provides further backend initialization settings.

The documentation for this service was generated from the following file:

- com/sun/star/configuration/backend/MultiStratumBackend.idl